<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical"
    android:paddingHorizontal="13dp"
    android:paddingVertical="3dp">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv01"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Processor :AArch64 Processor rev 2(aarch64)"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv02"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="processor :0"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv03"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="BogoMIPS :3.84"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv04"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Features :fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv05"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU implementer :0×41"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv06"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU architecture :8"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv07"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU variant :0×0"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv08"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU part :0×d03"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv09"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU revision :4"
                    android:textSize="20sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="50dp"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv11"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Processor :AArch64 Processor rev 2(aarch64)"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv12"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="processor :1"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv13"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="BogoMIPS :3.84"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv14"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Features :fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv15"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU implementer :0×41"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv16"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU architecture :8"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv17"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU variant :0×0"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv18"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU part :0×d03"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv19"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU revision :4"
                    android:textSize="20sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="50dp"
                android:orientation="vertical">

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv21"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Processor :AArch64 Processor rev 2(aarch64)"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv22"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="processor :2"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv23"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="BogoMIPS :3.84"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv24"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Features :fp asimd evtstrm aes pmull sha1 sha2 crc32 cpuid"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv25"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU implementer :0×41"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv26"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU architecture :8"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv27"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU variant :0×0"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv28"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU part :0×d03"
                    android:textSize="20sp"
                    android:textStyle="normal" />

                <com.google.android.material.textview.MaterialTextView
                    android:id="@+id/cpuTv29"
                    style="@style/TextDialogLabel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="CPU revision :4"
                    android:textSize="20sp"
                    android:textStyle="normal" />
            </LinearLayout>

            <com.google.android.material.textview.MaterialTextView
                android:id="@+id/hardwareTv"
                style="@style/TextDialogLabel"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="30dp"
                android:text="Hardware :vendor Kirin710"
                android:textSize="20sp"
                android:textStyle="normal" />
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>


</LinearLayout>